{ lib, ... }:
{
  programs.starship = {
    enable = true;

    rose-pine.enable = true;

    settings = lib.mkMerge [
      (lib.mkDefault (lib.importTOML ./nerd-font-symbols.toml))
      {
        format = lib.concatStrings [
          "$username"
          "$directory"
          "$git_branch"
          "$git_status"
          "$fill"
          "$c"
          "$elixir"
          "$elm"
          "$golang"
          "$haskell"
          "$java"
          "$julia"
          "$nodejs"
          "$nim"
          "$rust"
          "$scala"
          "$python"
          "$time"
          "$line_break"
          "[󱞪](fg:iris)"
        ];

        # https://starship.rs/presets/nerd-font
        # aws.symbol = "";
        # buf.symbol = "";
        # c.symbol = "";
        # conda.symbol = "";
        # crystal.symbol = "";
        # dart.symbol = "";
        # directory.read_only = "󰌾";
        # docker_context.symbol = "";
        # elixir.symbol = "";
        # elm.symbol = "";
        # fennel.symbol = "";
        # fossil_branch.symbol = "";
        # git_branch.symbol = "";
        # git_commit.tag_symbol = "";
        # golang.symbol = "";
        # guix_shell.symbol = "";
      }
    ];
  };
}
